typedef struct {
  int pixel;
  int r;
  int g;
  int b;
} pixel_color_t;

const int time_it_is[] = {120, 119, 117, 116, 115}; // Es ist

const int time_minutes[][12] = {
    {19, 20, 21, -1, -1, -1, -1, -1, -1, -1, -1, -1},
    {113, 112, 111, 110, 82, 81, 80, 79, -1, -1, -1, -1},    // fünf nach
    {99, 100, 101, 102, 82, 81, 80, 79, -1, -1, -1, -1},     // zehn nach
    {94, 93, 92, 91, 90, 89, 88, 82, 81, 80, 79, -1},        // viertel nach
    {103, 104, 105, 106, 107, 108, 109, 82, 81, 80, 79, -1}, // zwanzig nach
    {113, 112, 111, 110, 85, 84, 83, 76, 75, 74, 73, -1},    // fünf vor halb
    {76, 75, 74, 73, -1, -1, -1, -1, -1, -1, -1, -1},        // halb
    {113, 112, 111, 110, 82, 81, 80, 79, 76, 75, 74, 73},    // fünf nach halb
    {103, 104, 105, 106, 107, 108, 109, 85, 84, 83, -1, -1}, // zwanzig vor
    {94, 93, 92, 91, 90, 89, 88, 85, 84, 83, -1, -1},        // viertel vor
    {99, 100, 101, 102, 85, 84, 83, -1, -1, -1, -1, -1},     // zehn vor
    {113, 112, 111, 110, 85, 84, 83, -1, -1, -1, -1, -1}     // fünf vor
};

const int time_hours[][6] = {
    {71, 70, 69, 68, 67, -1}, {60, 59, 58, 57, -1, -1}, {58, 57, 56, 55, -1, -1},
    {53, 52, 51, 50, -1, -1}, {40, 41, 42, 43, -1, -1}, {47, 46, 45, 44, -1, -1},
    {12, 13, 14, 15, 16, -1}, {60, 61, 62, 63, 64, 65}, {31, 30, 29, 28, -1, -1},
    {36, 37, 38, 39, -1, -1}, {27, 26, 25, 24, -1, -1}, {33, 34, 35, -1, -1, -1}};
